<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">GeneralUtils Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classGeneralUtils.html">GeneralUtils</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classGeneralUtils.html#af43c8ecc3449ea441a2a8e88a50a34d6">base64Decode</a>(const std::string &amp;in, std::string *out)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGeneralUtils.html#abe8373207df0ef16bc66338b4ec8d298">base64Encode</a>(const std::string &amp;in, std::string *out)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGeneralUtils.html#a1698e9a6f3f4a3b49e00a4c7b200fa6b">dumpInfo</a>()</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGeneralUtils.html#ade237631b5595e2426f9e86fc6e38932">endsWith</a>(std::string str, char c)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGeneralUtils.html#a25e466e54ff002f54bfb7e1f43bd401b">errorToString</a>(esp_err_t errCode)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGeneralUtils.html#a0624d2bba035e50c4073074da675a606">hexDump</a>(const uint8_t *pData, uint32_t length)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGeneralUtils.html#a6060e23d9a79cad1d9684282b1b8eec3">ipToString</a>(uint8_t *ip)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGeneralUtils.html#addd9bb2f367a86841e48f5aa67f1d003">split</a>(std::string source, char delimiter)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGeneralUtils.html#a03192aa2510994528f5cb095f9a455fb">toLower</a>(std::string &amp;value)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classGeneralUtils.html#a4b4d634fc97c00316fc5ab7655f4a001">trim</a>(const std::string &amp;str)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classGeneralUtils.html#ad485c229090167eaa4c8a70028ce5a52">wifiErrorToString</a>(uint8_t value)</td><td class="entry"><a class="el" href="classGeneralUtils.html">GeneralUtils</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
